<?PHP
#
#   FILE:  ConfigureActions.php
#
#   Copyright 2014 Internet Scout Project
#   http://scout.wisc.edu/cwis/
#

# ----- MAIN -----------------------------------------------------------------

$MyPlugin = $GLOBALS["G_PluginManager"]->GetPlugin("UrlChecker");

# Configuration for URL Checker Actions

global $H_ReleaseUI, $H_WithholdUI;

$H_ReleaseUI = new FieldEditingUI("Release");
$ReleaseUISettings = $MyPlugin->ConfigSetting("ReleaseConfiguration");

if ($ReleaseUISettings !== NULL)
{
    $H_ReleaseUI->LoadConfiguration( $ReleaseUISettings );
}
$H_ReleaseUI->AddFieldButton();


$H_WithholdUI = new FieldEditingUI("Withhold");
$WithholdUISettings = $MyPlugin->ConfigSetting("WithholdConfiguration");
if ($WithholdUISettings !== NULL)
{
    $H_WithholdUI->LoadConfiguration( $WithholdUISettings );
}
$H_WithholdUI->AddFieldButton();
